Description

I'm not sure if this just cropped up in KSP 1.7.2, but I'm seeing an issue with lights turning on their "glow" decals for the lenses when
the part they're attached to turns its lights on. This does NOT happen in the VAB; | only see it after launching a craft into flight.

More specifically, | can add Mk1 and Mk2 Stock illuminators to a Mk1 lander can or Mk 1-3 command pod, and then turn on the lights
on the command pod within the PAW (or with the "U" button, even if the illuminators are unbound from that Action). Within a few
seconds, the "glow" decal for the attached lighting parts comes on, even though the lights aren't illuminating.

Hovering the mouse arrow over the part to highlight it briefly cures it, then it comes back. The reverse situation comes up when
activating the illuminators and turning off the command pod lights. lllumination takes place, but the glow decal disappears either after
a few seconds, or after hovering over it with the mouse.

This issue gets more problematic when adding illumination mods like Aviation Lights. The blinking and color change functions
become irrelevant, at least on the lenses, because they'll come on full strength, white, and continuously, regardless of the actual
state of the light, or the glow will stay off if the CM's lights are off.

History

#1 - 07/01/2019 08:57 AM - diomedea

- Status changed from New to Need More Info

Unfortunately couldn't reproduce the issue by following the description, perhaps something in my vessels doesn't fit.

Need something that certainly shows the issue; would be great if one or two crafts files were attached, better with screenshots when the issue shows,
perfect if was available a sequence of the specific actions ("steps") performed before the issue. A saved game with such vessels (+ step sequence)
would work too.

#2 - 07/04/2019 03:35 PM - KSPbugsrynk
ADDING TO BUG REPORT: lllumination light glow decal glitch
KSP Version 1.7.2.2556 Win x64 en-us using Win 10 on Alienware14 w/ NVIDIA GeForce GTX 765M, driver 389.12

What happens: llluminator light parts glow decals appear and disappear with command module lights, even when llluminator parts are not Action
keyed to turn on with command module lights ('U' key)

Mods: All Stock, without Expansions. Also appears with Expansions and mods, such as Aviation Lights

Steps to replicate:

1) In Sandbox game, VAB, start new craft with a Mk1-3 Pod. Attach llluminator Mk1 and Mk2 lights to the surface of the pod, on the sides, pointing
toward the ground. Do NOT turn on either the capsule lights or the llluminators.

2) In Action Groups, remove the llluminator's toggle commands from the Light Action ('U' key).

3) Launch the craft with crew. All lights, CM and llluminator, should be off, with no glow effects on the llluminator lenses.

4) Use the 'U' key to toggle the command module lights on.

5) If the glow decals on the lenses for the Mk1 and Mk2 llluminators don't come on spontaneously within 10 seconds, move mouse cursor over them

(no clicking on the part or PAW). The glow decals on both llluminator lenses will come on and stay on after moving the cursor off the craft. Note, the
llluminator's states are still 'off' and aren't illuminating the craft or the ground.
6) Move the mouse cursor on and off the llluminator part (highlighting and de-highlighting) to observe that the lens returns to the correct state ONLY
when highlighted. Note, this state is preserved when moving off the llluminator and continuing to highlight the CM. Move the cursor all the way off
the craft so nothing is highlighted, to see the lens revert to the incorrect glow state.

7) Turn on the Mk1 and Mk2 within their respective PAWSs. The ground and CM should now be illuminated, and the lens glows stay on.

8) Use the 'U' key to turn off the CM lights. The Mk1 and Mk2 will turn off their lens glows within 10 seconds, or upon mouse-over, and stay off. Note,
the ground and CM are still being illuminated, and the Mk1 and Mk2 status are still showing as turned on.

9) Repeat Step 6 to observe how the lens only goes to the correct state when that part is highlighted, and reverts back to incorrect state when cursor
is moved off the craft.

FIX: No idea. | first noticed this with Aviation Lights. The same steps can replicate it, but it gets more interesting when the blinking functions are
utilized or color of the light is changed: the light will come on, continuously, full brightness, and white, even as it's intermittently illuminating the craft
and ground in another color. | confirmed this was a Stock issue by doing a separate fresh install with no expansion or mods.

| can post pics or logs if this still doesn't "illuminate" the issue....

#3 - 07/04/2019 06:59 PM - diomedea
- File screenshot0.png added

Oh, you mean that issue, the glass of the lamps brightening up when shouldn't. Yes, is a old issue, but thanks for reporting. Would be perfect if you
could check changes with the next release.

#4 - 07/05/2019 12:24 AM - KSPbugsrynk

diomedea wrote:

Oh, you mean that issue, the glass of the lamps brightening up when shouldn't. Yes, is a old issue, but thanks for reporting. Would be perfect if
you could check changes with the next release.

Well, | think it started somewhere between KSP 1.6 and 1.7, because I've been marking my craft with Aviation Lights for navigation markers and
beacons for a while, and only in 1.7.2 did | notice the glow effects going bad. I've got screenshots of craft from 1.6.1 where everything was still
working as intended. | kind of fell out of doing a Career Mode game recently due to what seems like a constant stream of updates lately (which
breaks Kopernicus, which is version locked). I'm hoping 1.7.3, and associated Expansions, are the last non-hotfix update for at least a few months....

#5 - 07/16/2019 12:14 AM - chris.fulton
- Status changed from Need More Info to Ready to Test
- Target version set to 1.7.3

- % Done changed from 0 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.3.25947?

#6 - 02/21/2020 01:21 AM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#7 - 02/21/2020 01:21 AM - chris.fulton

- Status changed from Resolved to Closed
